import 'package:ui_sdk/components/UikStackedImage.dart';
import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:ui_sdk/props/UikHomeCardOneProps.dart';
import 'package:ui_sdk/props/UikStackedImageProps.dart';
import 'package:ui_sdk/props/UikTextProps.dart';
import 'package:flutter/material.dart';

import '../../components/UikText.dart';
import '../../components/WidgetType.dart';

UikHomeCardOneProps $UikHomeCardOnePropsFromJson(Map<String, dynamic> json) {
  final UikHomeCardOneProps uikHomeCardOneProps = UikHomeCardOneProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikHomeCardOneProps.id = id;
  }

  final String? text = jsonConvert.convert<String>(json['text']);
  if (text != null) {
    uikHomeCardOneProps.text =
        UikText(WidgetType.UikText, UikTextProps.fromJson(json['text']));
  }

  final String? image = jsonConvert.convert<String>(json['image']);
  if (image != null) {
    uikHomeCardOneProps.image = UikStackedImage(
      WidgetType.UikText,
      UikStackedImageProps.fromJson(
        json['image'],
      ),
    );
  }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikHomeCardOneProps.action = action;
  }
  return uikHomeCardOneProps;
}

Map<String, dynamic> $UikHomeCardOnePropsToJson(UikHomeCardOneProps entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['id'] = entity.id;
  data['action'] = entity.action.toJson();
  return data;
}
