import 'package:ui_sdk/components/UikIcon.dart';
import 'package:ui_sdk/components/UikImage.dart';
import 'package:ui_sdk/components/UikStackedImage.dart';
import 'package:ui_sdk/components/UikTags.dart';
import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:ui_sdk/props/UikHomeCardSevenProps.dart';
import 'package:ui_sdk/props/UikHomeCardFourProps.dart';
import 'package:ui_sdk/props/UikHomeCardOneProps.dart';
import 'package:ui_sdk/props/UikHomeCardThreeProps.dart';
import 'package:ui_sdk/props/UikHomeCardTwoProps.dart';
import 'package:ui_sdk/props/UikIconProps.dart';
import 'package:ui_sdk/props/UikStackedImageProps.dart';
import 'package:ui_sdk/props/UikTagsProps.dart';
import 'package:ui_sdk/props/UikTextProps.dart';
import 'package:flutter/material.dart';

import '../../components/UikContainerText.dart';
import '../../components/UikText.dart';
import '../../components/WidgetType.dart';
import '../../props/UikContainerTextProps.dart';
import '../../props/UikImageProps.dart';

UikHomeCardSevenProps $UikHomeCardSevenPropsFromJson(
    Map<String, dynamic> json) {
  final UikHomeCardSevenProps uikHomeCardSevenProps = UikHomeCardSevenProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikHomeCardSevenProps.id = id;
  }
  final String? heading = jsonConvert.convert<String>(json['heading']);
  if (heading != null) {
    uikHomeCardSevenProps.heading = UikContainerText(
        WidgetType.UikContainerText,
        UikContainerTextProps.fromJson(json['heading']));
  }
  final String? subheading = jsonConvert.convert<String>(json['subheading']);
  if (subheading != null) {
    uikHomeCardSevenProps.subheading = UikContainerText(
        WidgetType.UikContainerText,
        UikContainerTextProps.fromJson(json['subheading']));
  }
  final String? sideText = jsonConvert.convert<String>(json['sideText']);
  if (sideText != null) {
    uikHomeCardSevenProps.sideText = UikContainerText(
        WidgetType.UikContainerText,
        UikContainerTextProps.fromJson(json['sideText']));
  }
  final double? marginLeft = jsonConvert.convert<double>(json['marginLeft']);
  if (marginLeft != null) {
    uikHomeCardSevenProps.marginLeft = marginLeft;
  }
  final double? marginRight = jsonConvert.convert<double>(json['marginRight']);
  if (marginRight != null) {
    uikHomeCardSevenProps.marginRight = marginRight;
  }
  final double? marginTop = jsonConvert.convert<double>(json['marginTop']);
  if (marginTop != null) {
    uikHomeCardSevenProps.marginTop = marginTop;
  }
  final double? marginBottom =
      jsonConvert.convert<double>(json['marginBottom']);
  if (marginBottom != null) {
    uikHomeCardSevenProps.marginBottom = marginBottom;
  }
  // final String? image = jsonConvert.convert<String>(json['image']);
  // if (image != null) {
  //   uikHomeCardSevenProps.image = UikStackedImage(
  //     WidgetType.UikText,
  //     UikStackedImageProps.fromJson(
  //       json['image'],
  //     ),
  //   );
  // }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikHomeCardSevenProps.action = action;
  }
  return uikHomeCardSevenProps;
}

Map<String, dynamic> $UikHomeCardSevenPropsToJson(
    UikHomeCardSevenProps entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['id'] = entity.id;
  data['action'] = entity.action.toJson();
  return data;
}
