import 'package:ui_sdk/components/UikIcon.dart';
import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:ui_sdk/props/UikHomeCardOneProps.dart';
import 'package:ui_sdk/props/UikHomeCardTwoProps.dart';
import 'package:ui_sdk/props/UikIconProps.dart';
import 'package:ui_sdk/props/UikTextProps.dart';
import 'package:flutter/material.dart';

import '../../components/UikText.dart';
import '../../components/WidgetType.dart';

UikHomeCardTwoProps $UikHomeCardTwoPropsFromJson(Map<String, dynamic> json) {
  final UikHomeCardTwoProps uikHomeCardTwoProps = UikHomeCardTwoProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikHomeCardTwoProps.id = id;
  }

  final String? icon = jsonConvert.convert<String>(json['icon']);
  if (icon != null) {
    uikHomeCardTwoProps.icon =  UikIcon(WidgetType.UikText, UikIconProps.fromJson(json['icon']));
  }

  final String? text = jsonConvert.convert<String>(json['text']);
  if (text != null) {
    uikHomeCardTwoProps.text =  UikText(WidgetType.UikText, UikTextProps.fromJson(json['text']));
  }
   
  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikHomeCardTwoProps.action = action;
  }
  return uikHomeCardTwoProps;
}

Map<String, dynamic> $UikHomeCardTwoPropsToJson(UikHomeCardTwoProps entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['id'] = entity.id;
  data['action'] = entity.action.toJson();
  return data;
}
