import 'package:date_format/date_format.dart';
import 'package:ui_sdk/components/UikContainerText.dart';
import 'package:ui_sdk/components/UikStackedImage.dart';
import 'package:ui_sdk/components/UikText.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikContainerTextProps.dart';
import 'package:ui_sdk/props/UikIconProps.dart';
import 'package:ui_sdk/props/UikStackedImageProps.dart';

import '../../components/UikIcon.dart';
import '../../props/UikTextProps.dart';
import '../../props/UikColumnProps.dart';

UikColumnProps $UikColumnPropsFromJson(Map<String, dynamic> json) {
  final UikColumnProps uikColumnProps = UikColumnProps();

  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikColumnProps.id = id;
  }

  final List<dynamic>? widgets =
      jsonConvert.convert<List<dynamic>>(json["widgets"]);
  if (widgets != null) {
    for (int i = 0; i < widgets.length; i++) {
      if (widgets[i]["id"] == "image") {
        uikColumnProps.widgets.add(UikStackedImage(WidgetType.UikImage,
            UikStackedImageProps.fromJson(json["widgets"][i])));
      }

      if (widgets[i]["id"] == "text") {
        uikColumnProps.widgets.add(UikContainerText(WidgetType.UikText,
            UikContainerTextProps.fromJson(json["widgets"][i])));
      }
    }
  }

  final double? leftMargin = jsonConvert.convert<double>(json["leftMargin"]);
  if (leftMargin != null) {
    uikColumnProps.leftMargin = leftMargin;
  }

  final double? height = jsonConvert.convert<double>(json["height"]);
  if (height != null) {
    uikColumnProps.height = height;
  }

  final double? rightMargin = jsonConvert.convert<double>(json["rightMargin"]);
  if (rightMargin != null) {
    uikColumnProps.rightMargin = rightMargin;
  }

  final double? topMargin= jsonConvert.convert<double>(json["topMargin"]);
  if (topMargin!= null) {
    uikColumnProps.topMargin= topMargin;
  }

  final double? bottomMargin = jsonConvert.convert<double>(json["bottomMargin"]);
  if (bottomMargin != null) {
    uikColumnProps.bottomMargin = bottomMargin;
  }

  return uikColumnProps;
}

Map<String, dynamic> $UikColumnPropsToJson(UikColumnProps entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['id'] = entity.id;
  // data['src'] = entity.src;
  // data['action'] = entity.action.toJson();
  return data;
}
